//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules

#define _BV(BIT) (1<<BIT)
#define sbi(BYTE,BIT) (BYTE |= _BV(BIT))
#define cbi(BYTE,BIT) (BYTE &= ~_BV(BIT))

void nop(int n){
    int i;
    for(i = 0; i < n; i++){
    }
}

void main()
{
    char led;
    led = 0;
    for(;;){
        sbi(PRT2DR, led); // LED on
        nop(5000); // wait
        cbi(PRT2DR, led); // LED off
        led++; // next LED
        if(led > 3) led = 0;
    }
}
